<?php declare(strict_types=1);

namespace App\Dto\Request\Private\User;

use App\Dto\Request\Dto;
use App\Dto\User\ManyRoleDto;

final readonly class StoreUpdate extends Dto
{
    public function __construct(
        private string $name,
        private string $email,
        private bool   $isActive,
        private ManyRoleDto $roles,
        private ?string $password = null
    ) { }

    public function getName(): string
    {
        return $this->name;
    }

    public function getEmail(): string
    {
        return $this->email;
    }

    public function getPassword(): ?string
    {
        return $this->password;
    }

    public function getRoles(): ManyRoleDto
    {
        return $this->roles;
    }

    public function isActive(): bool
    {
        return $this->isActive;
    }
}
